#ifndef __ERROR_H
#define __ERROR_H

#define ERROR_T uint16_t

/* Offsets:
0x0000  	0x00FF: 	General Error codes
0x00100  	0x01FF: 	TWI Error codes
*/

#define TWI_OFFSET 0x0100


/* Error codes */

/* General */

#define ERROR_NONE		0
#define ERROR_OVERFLOW	1
#define ERROR_UNDERFLOW	2
#define ERROR_RANGE		3
#define ERROR_READY		4
#define ERROR_TEST_FAILED 5
#define ERROR_TIMEOUT   6
#define ERROR_GENERAL   -1

#endif //__ERROR_H

