/* Copyright Colin O'Flynn (c) 2005 - coflynn@newae.com */

#ifndef __X1226_H
#define __X1226_H

#include "error.h"

enum x1226_sla_t {X1226_CCR = 0xDE, X1226_EE = 0xAE};

ERROR_T x1226_init(void);

ERROR_T x1226_random_read(enum x1226_sla_t x1226_sla, uint16_t address, uint8_t *data, unsigned char numbytes);

ERROR_T x1226_random_write(enum x1226_sla_t x1226_sla, uint16_t address, uint8_t *data, unsigned char numbytes);

#endif //__X1226_H

